BioError (BioJava-1.5-beta API)
Keywords: org.biojava.bio.BioError class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio
Class BioError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.biojava.bio.BioError

All Implemented Interfaces:
  Serializable

    public class BioError

extends Error

A nestable biological error.

Since:
  1.0
Author:
  Matthew Pocock
See Also:
  Serialized Form
For advanced users:
  Catch this whenever it, or one of it's sub-classes are thrown and you know what to do once you've got it. Note: in general, you should not be catching errors. However, there are cases where it is necisary e.g. for logging. You will nearly always want to either re-throw the Error, throw a new Error or exit the current thread.
For developers:
  Throw this when something has gone wrong and in general people should not be handeling it.

Constructor Summary
`BioError()` Create a new BioError.
`BioError(String message)` Create a new BioError with a message.
`BioError(String message, Throwable ex)` Create a new BioError with a cause and a message.
`BioError(Throwable ex)` Create a new BioError with a cause.
`BioError(Throwable ex, String message)` Deprecated. Use BioError(message, ex) instead.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioError

    public BioError(String message)

  Create a new BioError with a message.

  Parameters:
    `message` - the message

### BioError

    public BioError(Throwable ex)

  Create a new BioError with a cause.

  Parameters:
    `ex` - the Throwable that caused this BioError

### BioError

    public BioError(Throwable ex,
                    String message)

  Deprecated. Use BioError(message, ex) instead.

  Create a new BioError with a cause and a message.

  Parameters:
    `ex` - the Throwable that caused this BioError
    `message` - the message

### BioError

    public BioError(String message,
                    Throwable ex)

  Create a new BioError with a cause and a message.

  Parameters:
    `message` - the message
    `ex` - the Throwable that caused this BioError

### BioError

    public BioError()

  Create a new BioError.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD